petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMPlexInsertBoundaryValues

Puts coefficients which represent boundary values into the local solution vector

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexInsertBoundaryValues(DM dm, PetscBool insertEssential, Vec locX, PetscReal time, Vec faceGeomFVM, Vec cellGeomFVM, Vec gradFVM)

### Input Parameters

| dm | - The DM
| insertEssential | - Should I insert essential (e.g. Dirichlet) or inessential (e.g. Neumann) boundary conditions
| time | - The time
| faceGeomFVM | - Face geometry data for FV discretizations
| cellGeomFVM | - Cell geometry data for FV discretizations
| gradFVM | - Gradient reconstruction data for FV discretizations

### Output Parameters

locX -Solution updated with boundary values

### See Also

DMProjectFunctionLabelLocal()

### Level

developer

### Location

src/dm/impls/plex/plexfem.c

### Examples

src/ts/examples/tutorials/ex11.c.html

### Implementations

DMPlexInsertBoundaryValues_Plex in src/dm/impls/plex/plexfem.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages